# -*- coding: utf-8 -*-
#   Copyright 2008-2009 Agile42 GmbH, Berlin (Germany)
"""
This module contains a test case stuff for compatibility with the old trac 
functional test cases.
"""

from agilo.test.functional.api import SingleEnvironmentTestCase
# Register the environment by importing it.
from agilo.test.functional.trac_environment import TracFunctionalTestEnvironment

__all__ = ['FunctionalTestCaseSetup']


class FunctionalTestCaseSetup(SingleEnvironmentTestCase):
    
    def setUp(self, env_key='trac_default'):
        super(FunctionalTestCaseSetup, self).setUp(env_key=env_key)
        
        # Backwards compatibility
        self._testenv = self.env
        self._tester = self.env.tester
        self.testenv.tester.login('admin')


